#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- -DDBC_ENABLE_TESTS=OFF \
						 -DDBC_GENERATE_DOCS=ON \
						 -DCMAKE_INSTALL_PREFIX=/usr/ \
						 -DCMAKE_INCLUDEDIR_PREFIX=include \
						 -DCMAKE_INSTALL_INCLUDEDIR=include \
						 -DCMAKE_BUILD_TYPE=Release \
						 -DCMAKE_OLDINCLUDEDIR_PREFIX=/usr/include